#uselib "hspdsp.dll"

#ifndef FALSE
#define FALSE 0
#endif
#ifndef TRUE
#define TRUE 1
#endif

#define	WM_GRAPH_NOTIFY	0x8197
#define	EV_DSP_STOP 33175
#define VMR_DEFAULT_MODE 0
#define VMR_WINDOW_MODE 1
#define VMR_WINDOWLESS_MODE 2
#define VMR_RENDERLESS_MODE 4
#define OPEN_DEFAULT_RENDERER 0
#define OPEN_VIDEO_RENDERER 1
#define OPEN_VMR7 2
#define OPEN_VMR9 3
#define OPEN_EVR 4
#define OPEN_NO_RENDERER 5
#define OPEN_NULL_RENDERER 6
#define OPEN_NOAUDIO_VIDEO_RENDERER 11
#define OPEN_NOAUDIO_VMR7 12
#define OPEN_NOAUDIO_VMR9 13
#define OPEN_NOAUDIO_EVR 14

#define CURSOR_HIDE 0
#define CURSOR_SHOW 1
#define CURSOR_CHECK 2
#define VIDEO_SIZE_X 0
#define VIDEO_SIZE_Y 1
#define ALL_PLAYTIME 2
#define NOW_PLAYTIME 3
#define AUDIO_BALANCE 0
#define AUDIO_VOLUME 1
#define STREAM_SYNC_FALSE 0
#define STREAM_SYNC_TRUE 1
#define FULLSCREEN_FALSE 0
#define FULLSCREEN_TRUE 1
#define FULLSCREEN_CHECK 2
#define BOOL_FALSE 0
#define BOOL_TRUE 1


#ifndef SRCCOPY
#define SRCCOPY 0xcc0020	//̂܂ܓ]
#endif

#ifndef SRCPAINT
#define SRCPAINT 0xee0086	//]̉摜ORZē]
#endif

#ifndef SRCAND
#define SRCAND 0x8800c6	//]̉摜ANDZē]
#endif

#ifndef SRCINVERT
#define SRCINVERT 0x660046	//wi𔽉fĐF𔽓]ē]
#endif

#ifndef SRCERASE
#define SRCERASE 0x440328
#endif

#ifndef NOTSRCCOPY
#define NOTSRCCOPY 0x330008	//F𔽓]ē]
#endif

#ifndef NOTSRCERASE
#define NOTSRCERASE 0x1100a6
#endif

#ifndef MERGECOPY
#define MERGECOPY 0xc000ca
#endif

#ifndef MERGEPAINT
#define MERGEPAINT 0xbb0226
#endif

#ifndef PATCOPY
#define PATCOPY 0xf00021
#endif

#ifndef PATPAINT
#define PATPAINT 0xfb0a09
#endif

#ifndef PATINVERT
#define PATINVERT 0x5a0049
#endif

#ifndef DSTINVERT
#define DSTINVERT 0x550009
#endif

#ifndef BLACKNESS
#define BLACKNESS 0x000042
#endif

#ifndef WHITENESS
#define WHITENESS 0xff0062
#endif

#func dsp_Init "dsp_Init"
#func dsp_Exit "dsp_Exit"
#func dsp_Play "dsp_Play" int,int,int,int,int
#func dsp_Play2 "dsp_Play2"
#cfunc dsp_Version "dsp_Version"
#cfunc dsp_BuildVersion "dsp_BuildVersion"
#func dsp_Open "dsp_Open" str,int,int,int,int
#func dsp_Resize "dsp_Resize" int,int,int,int,int
#func dsp_Stop "dsp_Stop"
#cfunc dsp_Info "dsp_Info" int
#cfunc dsp_GetVideoSize "dsp_GetVideoSize" int
#cfunc dsp_GetAllPlayTime "dsp_GetAllPlayTime" 
#cfunc dsp_GetNowPlayTime "dsp_GetNowPlayTime"
#func dsp_SetSeek "dsp_SetSeek" double
#func dsp_SetSeek2 "dsp_SetSeek2" int
#func dsp_SetSpeed "dsp_SetSpeed" double
#func dsp_SetSpeed2 "dsp_SetSpeed2" int
#func dsp_SetVolume "dsp_SetVolume" int,int
#func dsp_Close "dsp_Close"
#cfunc dsp_GetStopped "dsp_GetStopped"
#cfunc dsp_GetMediaEvId "dsp_GetMediaEvId"
#cfunc dsp_GetMediaEvStr "dsp_GetMediaEvStr" int
#cfunc dsp_GetState "dsp_GetState"
#func dsp_FilterProp "dsp_FilterProp" int,wstr
#func dsp_Test "dsp_Test"	//eXgp(fobO)
#func dsp_SetEvHWND "dsp_SetEvHWND" int
#cfunc dsp_GetOSVersion "GetOSVersion"
#func dsp_FullScreen "dsp_FullScreen" int
#func dsp_CreateThread "dsp_CreateThread" int,int
#func dsp_DestoryThread "dsp_DestoryThread"
#cfunc dsp_GetThreadHWND "dsp_GetThreadHWND"
#func dsp_VMRMixImage "dsp_VMRMixImage" int,int,int,int,int,float,float,float,float,float,int,int,int,int
#func dsp_SetHideCursor "dsp_SetHideCursor" int
#cfunc dsp_GetVideoWindow "dsp_GetVideoWindow" int
#func dsp_SetVideoWindow "dsp_SetVideoWindow" int,int
#cfunc dsp_GetMediaSeeking "dsp_GetMediaSeeking" int
#func dsp_SetMediaSeeking "dsp_SetMediaSeeking" int,int
#func dsp_SetSyncSource "dsp_SetSyncSource"
#cfunc SetColorRef "SetColorRef" int,int,int
#cfunc dsp_t "dsp_t"		//eXgQp(fobO)
#func dsp_SetFrameStep "dsp_SetFrameStep" int
#func dsp_CanselFrameStep "dsp_CanselFrameStep"
#cfunc dsp_CanFrameStep "dsp_CanFrameStep" int
#func dsp_SetAudioClockSlave "dsp_SetAudioClockSlave" int
#cfunc dsp_GetAudioClockSlave "dsp_GetAudioClockSlave"
#cfunc dsp_GetAvgFrameRate "dsp_GetAvgFrameRate"
#cfunc dsp_GetAvgSyncOffset "dsp_GetAvgSyncOffset"
#cfunc dsp_GetDevSyncOffset "dsp_GetDevSyncOffset"
#cfunc dsp_GetFramesDrawn "dsp_GetFramesDrawn"
//#func dsp_SetHideCursor "dsp_SetHideCursor" int

#cfunc dsp_GetFramesDroppedInRenderer "dsp_GetFramesDroppedInRenderer"
#cfunc dsp_GetJitter "dsp_GetJitter"
#func dsp_SetGraphStreams "dsp_SetGraphStreams" int,int
#func dsp_SetClockDelta "dsp_SetClockDelta" int
#func SetMasterVolume "SetMasterVolume" int
#func SetMasterVolumeVista "SetMasterVolumeVista" int
#cfunc GetMasterVolume "GetMasterVolume"
#cfunc GetMasterVolumeVista "GetMasterVolumeVista"
#func SetMute "SetMute" int
#func SetMuteVista "SetMuteVista" int
#cfunc GetMute "GetMute"
#cfunc GetMuteVista "GetMuteVista"
#cfunc GetDSFilterNum "GetDSFilterNum"
#func dsp_CaptureVideo "dsp_CaptureVideo" int,int,int,int,int,int
#func dsp_CaptureVideoEx "dsp_CaptureVideoEx" int,int,int,int,int,int
#func dsp_UseCaptureVideoEx "dsp_UseCaptureVideoEx" int
#func dsp_SetCaptureBufferSamples "dsp_SetCaptureBufferSamples" int
#func dsp_ProxyFilter "dsp_ProxyFilter" int,wstr,int
#func dsp_SetVMRAspect "dsp_SetVMRAspect" int
#cfunc dsp_GetVMRAspect "dsp_GetVMRAspect"
#func dsp_SetLogFile "dsp_SetLogFile" str
#func dsp_CloseLogFile "dsp_CloseLogFile"
#func dsp_StreamFilterList "dsp_StreamFilterList" var
#func dsp_FilterList "dsp_FilterList" var
#cfunc dsp_GetActiveSel "dsp_GetActiveSel"
#func dsp_SetActiveSel "dsp_SetActiveSel" int

#func dsp_OpenAVIKeyFrame "dsp_OpenAVIKeyFrame" str
#func dsp_SetAVIKeyFrameSeek "dsp_SetAVIKeyFrameSeek" double
#cfunc dsp_GetAVIKeyFramePointer "dsp_GetAVIKeyFramePointer"
#func dsp_SetAVIKeyFramePointer "dsp_SetAVIKeyFramePointer" int
#func dsp_CloseAVIKeyFrame "dsp_CloseAVIKeyFrame"


;#func Test_DVDPlay "Test_DVDPlay" int,int,int,int,int,wstr
#func dsp_DVDOpen "dsp_DVDOpen" wstr
#func dsp_DVDPlay "dsp_DVDPlay" int,int,int,int,int
#func dsp_DVDPlay2 "dsp_DVDPlay2"
#func dsp_DVDStop "dsp_DVDStop"
#func dsp_DVDClose "dsp_DVDClose"
#func dsp_DVDPause "dsp_DVDPause"
#func dsp_GetDVDVolumeInfo "dsp_GetDVDVolumeInfo" var,var,var,var
#cfunc dsp_GetDVDChapters "dsp_GetDVDChapters" int
#func dsp_DVDPause2 "dsp_DVDPause2" int
#func dsp_DVDPlayAtTime "dsp_DVDPlayAtTime" int,int,int
#func dsp_DVDPlayAtTimeInTitle "dsp_DVDPlayAtTimeInTitle" int,int,int,int
#func dsp_DVDPlayBackwards "dsp_DVDPlayBackwards" double
#func dsp_DVDPlayChapter "dsp_DVDPlayChapter" int
#func dsp_DVDPlayChapterInTitle "dsp_DVDPlayChapterInTitle" int,int
#func dsp_DVDPlayChaptersAutoStop "dsp_DVDPlayChaptersAutoStop" int,int,int
#func dsp_DVDPlayForwards "dsp_DVDPlayForwards" double
#func dsp_DVDPlayNextChapter "dsp_DVDPlayNextChapter" 
#func dsp_DVDPlayPeriodInTitleAutoStop "dsp_DVDPlayPeriodInTitleAutoStop" int,int,int,int,int,int,int
#func dsp_DVDPlayPrevChapter "dsp_DVDPlayPrevChapter"
#func dsp_DVDPlayTitle "dsp_DVDPlayTitle" int
#func dsp_DVDReplayChapter "dsp_DVDReplayChapter"
#func dsp_DVDStop2 "dsp_DVDStop2"
#func dsp_GetDVDCurrentLocation "dsp_GetDVDCurrentLocation" var,var,var,var,var
#cfunc dsp_DVDGetVolume "dsp_DVDGetVolume" int
#func dsp_DVDSetVolume "dsp_DVDSetVolume" int, int
#func dsp_GetDVDTotalTitleTime "dsp_GetDVDTotalTitleTime" var,var,var
#func dsp_DVDStillOff "dsp_DVDStillOff"
#func dsp_DVDSelectVideoModePreference "dsp_DVDSelectVideoModePreference" int
#func dsp_DVDSelectAngle "dsp_DVDSelectAngle" int
#func dsp_DVDSelectAudioStream "dsp_DVDSelectAudioStream" int
#func dsp_DVDSelectDefaultAudioLanguage "dsp_DVDSelectDefaultAudioLanguage" int,int
#func dsp_DVDSelectKaraokeAudioPresentationMode "dsp_DVDSelectKaraokeAudioPresentationMode" int
#func dsp_DVDSelectDefaultSubpictureLanguage "dsp_DVDSelectDefaultSubpictureLanguage" int,int
#func dsp_DVDSelectSubpictureStream "dsp_DVDSelectSubpictureStream" int
#func dsp_SetDVDSubpictureState "dsp_SetDVDSubpictureState" int
#func dsp_SetDVDDirectory "dsp_SetDVDDirectory" wstr
#func dsp_SetDVDOption "dsp_SetDVDOption" int,int
#func dsp_DVDActivateAtPosition "dsp_DVDActivateAtPosition" int,int
#func dsp_DVDActivateButton "dsp_DVDActivateButton"
#func dsp_DVDResume "dsp_DVDResume"
#func dsp_DVDReturnFromSubmenu "dsp_DVDReturnFromSubmenu"
#func dsp_DVDSelectAtPosition "dsp_DVDSelectAtPosition" int,int
#func dsp_DVDSelectAndActivateButton "dsp_DVDSelectAndActivateButton" int
#func dsp_DVDSelectButton "dsp_DVDSelectButton" int
#func dsp_DVDSelectDefaultMenuLanguage "dsp_DVDSelectDefaultMenuLanguage" int
#func dsp_DVDSelectRelativeButton "dsp_DVDSelectRelativeButton" int
#func dsp_DVDShowMenu "dsp_DVDShowMenu" int
#func dsp_GetDVDButtonAtPosition "dsp_GetDVDButtonAtPosition" int,int,var
//̃\bh͌ݎĂȂB
#func dsp_GetDVDButtonRect "dsp_GetDVDButtonRect" int,var,var,var,var
#func dsp_GetDVDCurrentButton "dsp_GetDVDCurrentButton" var,var
#func dsp_GetDVDDefaultMenuLanguage "dsp_GetDVDDefaultMenuLanguage" var
#cfunc dsp_GetDVDMenuLanguagesSize "dsp_GetDVDMenuLanguagesSize"
#func dsp_GetDVDMenuLanguages "dsp_GetDVDMenuLanguages" var,int
#func dsp_GetDVDCurrentAngle "dsp_GetDVDCurrentAngle" var,var
#func dsp_GetDVDCurrentVideoAttributes "dsp_GetDVDCurrentVideoAttributes" int,var
#func dsp_GetDVDAudioAttributes "dsp_GetDVDAudioAttributes" int,int,var
#func dsp_GetDVDAudioLanguage "dsp_GetDVDAudioLanguage" int,var
#func dsp_GetDVDCurrentAudio "dsp_GetDVDCurrentAudio" var,var
#func dsp_GetDVDDecoderCaps "dsp_GetDVDDecoderCaps" int,var
#func dsp_GetDVDDefaultAudioLanguage "dsp_GetDVDDefaultAudioLanguage" var,var
#func dsp_IsDVDAudioStreamEnabled "dsp_IsDVDAudioStreamEnabled" int,var

;#uselib "hspdsp.dll"
#define dsp_MDetInit dsp_Init
#define dsp_MDetExit dsp_Exit
#func dsp_MDetOpen "dsp_MDetOpen" str
#func dsp_MDetClose "dsp_MDetClose"
#cfunc dsp_MDetGetStreamType "dsp_MDetGetStreamType" 
#cfunc dsp_MDetGetStreamLength "dsp_MDetGetStreamLength" 
#cfunc dsp_MDetGetFrameRate "dsp_MDetGetFrameRate" 
#func dsp_MDetSetCurrentStream "dsp_MDetSetCurrentStream" int
#cfunc dsp_MDetGetOutputStreams "dsp_MDetGetOutputStreams" 
#cfunc dsp_MDetGetStreamFrames "dsp_MDetGetStreamFrames"
#func dsp_MDetGetStreamGrab "dsp_MDetGetStreamGrab" int,double,int,int,int,int,int,int,int
#cfunc dsp_MDetGetStreamInfo "dsp_MDetGetStreamInfo" int

// %1 = frame , %2 = fps ,%3 =time 
#define ctype dsp_MDetFrameToTime(%1,%2,%3) ((1.0*%1/(%3*%2))*%3)

//gpł܂
#module _HSPDSP_FILTERLIST_
#uselib "hspdsp.dll"
#func _GetDSFilterName "GetDSFilterName" int,int
#cfunc _GetDSFilterNameNext "GetDSFilterNameNext"
#cfunc _GetDSFilterNum "GetDSFilterNum"
#deffunc GetDSFilterName var p1
	sdim p3,1024
	sdim p2,4096
	num=_GetDSFilterNum()
	repeat num
		_GetDSFilterName cnt,varptr(p3)
		num=_GetDSFilterNameNext()
		p2+=""+p3+"\n"
	loop
	p1=p2
return
//#defcfunc dsp_MDetFrameToTime int p1,int p2,int p3
//return 
#global
//gpł܂